### A free/open-source library for quantitative finance

Public Member Functions
AnalyticGJRGARCHEngine Class Reference
Vanilla option engines

GJR-GARCH(1,1) engine. More...

`#include <ql/pricingengines/vanilla/analyticgjrgarchengine.hpp>`

Inheritance diagram for AnalyticGJRGARCHEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticGJRGARCHEngine (const boost::shared_ptr< GJRGARCHModel > &model)
void | calculate () const

## Detailed Description

GJR-GARCH(1,1) engine.

References:

Jin-Chuan Duan, Genevieve Gauthier, Jean-Guy Simonato, Caroline Sasseville, 2006. Approximating the GJR-GARCH and EGARCH option pricing models analytically Journal of Computational Finance, Volume 9, Number 3, Spring 2006

Tests:
  the correctness of the returned value is tested by reproducing results available in the Duan et al's 2006 paper.